%define version 0.99.9
%define release 1mdk

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:           scim
Summary:        Smart Chinese/Common Input Method platform
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	LGPL
URL:		http://freedesktop.org/~suzhe/
Source0:	http://freedesktop.org/~suzhe/sources/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	pango
Requires:	%{libname} = %{version}-%{release}
Requires:	gtk+2.0 >= 2.4.4-2mdk
Prereq:		%_bindir/gtk-query-immodules-2.0
Conflicts:	xcin miniChinput
BuildRequires:  gtk+2-devel pango-devel libltdl-devel atk intltool
BuildRequires:	libGConf2-devel

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 


%package -n %{libname}
Summary:	SCIM library.
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
SCIM library.

%package -n %{libname}-devel
Summary:	Headers of SCIM for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%prep
%setup -q

%build
[[ -f configure ]] || ./bootstrap

%configure2_5x --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
make DESTDIR=${RPM_BUILD_ROOT} install-strip
mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/{Config,FrontEnd,Server,SetupUI}

# remove unneeded files
rm -f %{buildroot}%{_libdir}/gtk-2.0/immodules/*.la \
      %{buildroot}%{_libdir}/gtk-2.0/immodules/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` \
    /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/scim.schemas > /dev/null || exit 0

%post -n %{libname}
# very dirty hack:
for i in libmimx-ispell.so libmimx-anthy.so; do ln -sf ${i}.0 %_libdir/$i;done
%{_bindir}/gtk-query-immodules-2.0 %_lib > /etc/gtk-2.0/gtk.immodules.%_lib
/sbin/ldconfig

%postun -n %{libname}
%{_bindir}/gtk-query-immodules-2.0 %_lib > /etc/gtk-2.0/gtk.immodules.%_lib
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog TODO
%dir %{_sysconfdir}/scim
%dir %{_datadir}/scim
%dir %{_datadir}/scim/icons
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/scim/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/pixmaps/*.png
%{_datadir}/scim/icons/*.png
%{_libexecdir}/scim*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/scim-1.0/Config
%dir %{_libdir}/scim-1.0/FrontEnd
%dir %{_libdir}/scim-1.0/Server
%dir %{_libdir}/scim-1.0/SetupUI
%{_libdir}/lib*.so.*
%{_libdir}/scim-1.0/*/*/*.so
%{_libdir}/gtk-2.0/immodules/im-scim.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/scim-1.0/*/*/*.a
%{_libdir}/scim-1.0/*/*/*.la
%{_includedir}/scim-1.0/*.h
%{_includedir}/scim-1.0/gtk/*.h


%changelog
* Mon Aug 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.9-1mdk
- new release

* Sun Aug 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.8-1mdk
- new release
- remove patches 0 and 1 (merged upstream)

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-4mdk
- patch 1: fix japanese translation (Yukiko Bando <ybando@k6.dion.ne.jp>)

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-3mdk
- patch 0: really integrate korean translation

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.6-2mdk
- patch 0: add korean translation (Kitae <neeum at yahoo.com)

* Fri Aug 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.6-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-3mdk
- quiet post-install script

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-2mdk
- workaround IM loading (dlopen() faillure)

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-1mdk
- new release

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.4mdk
- biarch support

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.3mdk
- update IM list in proper package

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-2.cvs20040724.2mdk
- prevent libraries from being included in main package too

* Sat Jul 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.4-2.cvs20040724.1mdk
- cvs 20040724

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.4-1mdk
- do not package empty doc
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Wed Jul  1 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.2-2mdk
- BuildRequires: libGConf2-devel

* Thu Jul  1 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.99.2-1mdk
- new release

* Thu Jun 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.0-1mdk
- fix buildrequies
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.7-2mdk
- 20040613cvs
- remove uim from Conflicts

* Fri Jun 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix libification
- initial spec for mdk by UTUMI Hirosi <utuhiro78@yahoo.co.jp>
